Bug 73711 - (up2date-nox) up2date-nox still requires X
up2date-nox still requires X
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
All Linux
low Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-09 04:33 EDT by Alec Voropay
Modified: 2015-01-07 19:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2002-09-09 04:33:47 EDT
Description of Problem:
'up2date-nox' utility requires X if DISPLAY= environ present.


Version-Release number of selected component (if applicable):
up2date-2.7.86-7.x.3

How Reproducible:
try to setup DISPLAY and run 'up2date-nox'
$ export DISPLAY=not.exist:0.0
$ up2date-nox

Steps to Reproduce:
1. setup bogus DISPLAY=  environ, for example SSH sets it for localhost:10.0
2. run 'up2date-nox'
3. 

Actual Results:
[root@monitor ~]# up2date-nox --list
The application 'up2date-nox' lost its connection to the display localhost:10.0;
most likely the X server was shut down or you killed/destroyed
the application.
[root@monitor ~]#
[root@monitor ~]# env | grep DISPLAY
DISPLAY=localhost:10.0
[root@monitor ~]# unset DISPLAY
[root@monitor ~]# up2date-nox --list

Retrieving list of all available packages...
########################################


Expected Results:
'up2date-nox'  should not require X

Additional Information:
Comment 1 Adrian Likins 2004-08-20 15:41:22 EDT
current versions of consolehelper understand nox (the X warning
is from that app that wraps up2date) and shouldnt give this
warning. 

Any other case (misconfigured X ) can be workaround with running
/usr/sbin/up2date directly

Note You need to log in before you can comment on or make changes to this bug.